PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Protected Member Functions | List of all members
PDictionary< K, D >::const_iterator Class Reference

`#include <dict.h>`

Inheritance diagram for PDictionary< K, D >::const_iterator:
[legend]
Collaboration diagram for PDictionary< K, D >::const_iterator:
[legend]

## Public Types
typedef iterator_pair< const K, const D > | pair

## Public Member Functions
| const_iterator ()
| const_iterator (iterator it)
const_iterator | operator++ ()
const_iterator | operator-- ()
const_iterator | operator++ (int)
const_iterator | operator-- (int)
const pair * | operator-> () const
const pair & | operator* () const
Public Member Functions inherited from PDictionary< K, D >::iterator_base
bool | operator== (const iterator_base &it) const
bool | operator!= (const iterator_base &it) const

## Protected Member Functions
| const_iterator (const dict_type *dict)
| const_iterator (const dict_type *dict, const K &key)
Protected Member Functions inherited from PDictionary< K, D >::iterator_base
| iterator_base ()
| iterator_base (const dict_type *dict)
| iterator_base (const dict_type *dict, const K &key)
void | SetElement (PHashTableElement *element)
void | Next ()
void | Prev ()

## Additional Inherited Members
Protected Attributes inherited from PDictionary< K, D >::iterator_base
K * | m_internal_first
D * | m_internal_second
PHashTableInfo * | m_table
PHashTableElement * | m_element

## Member Typedef Documentation

template<class K, class D>

typedef iterator_pair<const K, const D> PDictionary< K, D >::const_iterator::pair

## Constructor & Destructor Documentation

template<class K, class D>

PDictionary< K, D >::const_iterator::const_iterator | ( | const dict_type * | dict | ) |
| inline protected

template<class K, class D>

PDictionary< K, D >::const_iterator::const_iterator | ( | const dict_type * | dict,
|  | const K & | key
| ) |  |
| inline protected

template<class K, class D>

PDictionary< K, D >::const_iterator::const_iterator | ( |  | ) |
| inline

template<class K, class D>

PDictionary< K, D >::const_iterator::const_iterator | ( | iterator | it | ) |
| inline

## Member Function Documentation

template<class K, class D>

const pair& PDictionary< K, D >::const_iterator::operator* | ( |  | ) | const
| inline

template<class K, class D>

const_iterator PDictionary< K, D >::const_iterator::operator++ | ( |  | ) |
| inline

References PDictionary< K, D >::iterator_base::Next().

template<class K, class D>

const_iterator PDictionary< K, D >::const_iterator::operator++ | ( | int |  | ) |
| inline

References PDictionary< K, D >::iterator_base::Next().

template<class K, class D>

const_iterator PDictionary< K, D >::const_iterator::operator-- | ( |  | ) |
| inline

References PDictionary< K, D >::iterator_base::Prev().

template<class K, class D>

const_iterator PDictionary< K, D >::const_iterator::operator-- | ( | int |  | ) |
| inline

References PDictionary< K, D >::iterator_base::Prev().

template<class K, class D>

const pair* PDictionary< K, D >::const_iterator::operator-> | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- dict.h